> ## Documentation Index
> Fetch the complete documentation index at: https://developers.squads.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a compliance entity

> Updates one or more fields on an existing compliance entity. At least one of name, email, or external_id must be provided.



## OpenAPI

````yaml https://grid.squads.xyz/api-docs/openapi.json patch /api/compliance/v1/entities/{id}
openapi: 3.1.0
info:
  title: Grid v1 API
  description: Grid v1 REST API for Solana-based smart account system
  contact:
    name: Grid API Support
    url: https://squads.so
    email: support@squads.so
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://grid.squads.xyz
    description: Production server
security:
  - bearer_auth: []
tags:
  - name: accounts
    description: Smart account management operations
  - name: spending-limits
    description: Spending limit management
  - name: standing-orders
    description: Standing order operations
  - name: transactions
    description: Transaction management
  - name: trade
    description: Trade operations and management
  - name: payments
    description: Payment intent operations
  - name: passkeys
    description: Passkey management
  - name: kyc
    description: Know Your Customer operations
  - name: external-accounts
    description: External bank account management
  - name: virtual-accounts
    description: Virtual account management
  - name: auth
    description: Authentication operations
  - name: proposals
    description: Proposal management for multi-sig operations
  - name: compliance
    description: Compliance entity management and KYB/KYC operations
paths:
  /api/compliance/v1/entities/{id}:
    patch:
      tags:
        - compliance
      summary: Update a compliance entity
      description: >-
        Updates one or more fields on an existing compliance entity. At least
        one of name, email, or external_id must be provided.
      operationId: handler
      parameters:
        - name: id
          in: path
          description: Entity ID
          required: true
          schema:
            type: string
            format: uuid
        - name: x-grid-environment
          in: header
          description: Solana network environment (sandbox, devnet, mainnet)
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateEntityRequestPayload'
        required: true
      responses:
        '200':
          description: Entity updated successfully
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GridApiResponse_UpdateEntityResponsePayload
        '400':
          description: Invalid request parameters
        '401':
          description: Unauthorized
        '404':
          description: Entity not found
        '500':
          description: Internal server error
      security:
        - bearer_auth: []
components:
  schemas:
    UpdateEntityRequestPayload:
      type: object
      properties:
        email:
          type:
            - string
            - 'null'
          description: Contact email address
        external_id:
          type:
            - string
            - 'null'
          description: Your external identifier (max 255 characters)
        name:
          type:
            - string
            - 'null'
          description: Entity name (max 255 characters)
    GridApiResponse_UpdateEntityResponsePayload:
      type: object
      required:
        - data
        - metadata
      properties:
        data:
          type: object
          required:
            - id
            - type
            - name
            - created_at
            - updated_at
          properties:
            compliance_status:
              oneOf:
                - type: 'null'
                - $ref: '#/components/schemas/ConsumerComplianceStatus'
                  description: Current verification status
            compliance_submission_id:
              type:
                - string
                - 'null'
              format: uuid
              description: Verification submission ID
            created_at:
              type: string
              format: date-time
              description: Creation timestamp
            email:
              type:
                - string
                - 'null'
              description: Contact email address
            external_id:
              type:
                - string
                - 'null'
              description: Your external identifier for this entity
            id:
              type: string
              format: uuid
              description: Unique entity identifier
            name:
              type: string
              description: Entity name
            type:
              $ref: '#/components/schemas/EntityType'
              description: 'Entity type: individual or business'
            updated_at:
              type: string
              format: date-time
              description: Last update timestamp
        metadata:
          $ref: '#/components/schemas/Metadata'
    ConsumerComplianceStatus:
      type: string
      description: Verification status of the entity.
      enum:
        - not_started
        - pending
        - in_progress
        - in_review
        - action_required
        - approved
        - rejected
        - suspended
    EntityType:
      type: string
      enum:
        - individual
        - business
    Metadata:
      type: object
      required:
        - request_id
        - timestamp
      properties:
        request_id:
          type: string
        timestamp:
          type: string
          format: date-time
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      description: Your Grid API key from the Grid Dashboard

````